var EXPORTED_SYMBOLS = ["BookmarksModel"];
function BookmarksModel() {
this._name = "BookmarksModel";
this._logger = NativeAPI.logger.getLogger("Engine." + this._name);
}

BookmarksModel.prototype = {
get: function BoomarkModel_get(data) {
this._logger.debug("get: ",JSON.stringify(data));
if (! data)
return null;
var entry = {
id_string: data.id_string || "",
parent_id_string: data.parent_id_string || "",
originator_cache_guid: data.originator_cache_guid || null,
version: data.version || 0,
ctime: data.ctime || 0,
mtime: data.mtime || 0,
url: data.url || null,
favicon: String(data.favicon || ""),
title: data.title || null,
creation_time_us: data.creation_time_us || 0,
icon_url: data.icon_url || null,
folder: ! ! data.folder,
deleted: ! ! data.deleted,
browser_id: data.browser_id || null,
parent_browser_id: data.parent_browser_id || null};
return entry;
}
};
